<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class RelationCustomItem extends Model
{
    const CREATED_AT = null;
    const UPDATED_AT = null;

    protected $fillable = [
        'company_id', 'user_id', 'code', 'memo', 'file_name'
    ];

    //
    public static function getItem($uid, $code) 
    {

        $res = RelationCustomItem::where('user_id', '=', $uid)
        ->where('code', '=', $code)
        ->first();
        return $res;
    }
}
